#gf parameter file (v2.3_candels)
#best effort normalization for bolshoi planck lightcones
#pathname of input and output
"/local/data/seliana1/layung/JWST_CANDELS/run_20210607/cosmos.5/"
#pathname of library files
"/Home/eud/layung/SAM_code/gflib/"
#seed
-12345
#main free parameters
#recipe for quiescent star formation 0=CE 1=AQ 2=kenn_dens 3=kenn_dyntime 4=bigiel
4
#chi_gas [sigma_crit]
1.7
#gas partitioning recipe
#0=unpartitioned 1=GK
1
#ionized gas
#sigma_HII fion_internal
0.4 0.2
#tau_star_0 alpha_star_V alpha_star_z
1.0 0.0 0.0
#epsilon_SN_0 alpha_rh f_eject_thresh (km/s)
#gas is ejected if V_halo<f_eject_thresh
1.7 3.0 130.0
#quenching
0 1.0E16
#drive_AGN_winds epsilon_wind_QSO epsilon_wind_radio
1 0.5 0.0
#YIELD f_enrich_cold Z_preenrich
2.0 1.0 0.001
#cooling enrichment (0=self-consistent 1=fixed) Zh_fixed
0 0.0
#radio heating recipe 0=eddington 1=croton 2=bondi
2
#radio heating parameters: f_Edd_radio kappa_heat mcrit_radio alpha_radio
3.0E-03 1.0 0.0 0.0
#f_recycle (recycled gas from mass loss/SN)
0.43
#BH parameters
#fbhcrit tau_Q beta_Q mseedbh
0.5 0.4 0.04 1.0E04
#bhmassbulgemassev
#0=NOEV 1= ZEV 2=FGAS 3=BHFP
1
#sigmaBH_create
0.30
#rezero BH mass after mergers (0=no, 1=yes)
0
#merging
#f_mrg
1.0
#tidal stripping (0/1)
#if on, expects arguments f_strip tau_strip f_dis
#to make stripping MORE effective make f_strip<1
#to make stripping less effective make f_strip>1
1 1.0 0.22 0.8
#f_scatter
0.2
#f_reheat_halo
0.5
#f_return (re-infall of ejected gas)
0.1
#SQUELCH VPHOT_CRIT z_reionize
1 9.0 3.5 8.0
#disk model 0=SP 1=isothermal 2=MMW 3=empirical
2
#bulge model 0=standard 1=new
1
3.0
#standard: expect
#f_ellip f_sat_survive
#0.2 0.0
#burst parameters:
#burst_thresh e_burst_1to1
#0.1 0.8
#for new model, just expect alpha_burst
#disk instability
#on/off epsilon_m fBH_disk
1 0.75 0.001
#parameters for dissipational spheroid size model
#C_rad (major): sp-sp, sp-e, e-e
2.5 0.0 0.0
#C_rad (minor): sp-sp, sp-e, e-e
1.35 0.0 0.0
#C_int (major): sp-sp, sp-e, e-e
0.5 0.5 0.5
#C_int (minor): sp-sp, sp-e, e-e
0.5 0.5 0.5
#cosmological parameters
#geometry: 0=EDS, 1=FLAT, 2=OPEN
1
#Omega_0 (matter) Omega_Lambda_0 h_100
0.308 0.692 0.678
#f_baryon: negative number means use default value
0.1578
#DELTAC0
1.67577
#do_ps_correction 
1
#variance file
"variance/var.planck15.dat"
#SED
#save_history stellpop
1 1
#NMET SEDMETFLAG
#SEDMETFLAG=0 -- use empirical Vc-Z* scaling to choose SED
#SEDMETFLAG=1 use results of chemical evolution
6 1
#metallicities, in solar units 0.05 0.2 0.4 1.0 2.0
0.005 0.02 0.2 0.4 1.0 2.5
#metallicity binning information
#NMET_SFHIST minmet_sfhist maxmet_sfhist
12 -2.5 0.6
#f_lum_star
1.0
#dust
#include_dust (0/1) dust recipe (1=GASMET 2=EMPIRICAL)
1 2
#tau_dust_0, f_gas_size
0.2 1.0
#GAMMA_DUST ALPHA_DUST BETA_DUST
-2.0 0.4 1.0
#extinction_flag 0=galactic 1=calzetti 2=charlot-fall
1
#for CHARLOT-FALL, expects 
#n_dust t_birthcloud (yr) mu_BC
#0.7 2.0E07 0.17
#calculate dust emission? 0=no 1=yes "dwek_emission/spec_IR_dwek.dat"
1
"ce01/charyelbaz2001.dat"
#"rieke_cleaned/rieke_clean_extrp_1col.dat"
#files containing SEDs
"BC03/SEDp94_lr_m22_chab.dat"
"BC03/SEDp94_lr_m32_chab.dat"
"BC03/SEDp94_lr_m42_chab.dat"
"BC03/SEDp94_lr_m52_chab.dat"
"BC03/SEDp94_lr_m62_chab.dat"
"BC03/SEDp94_lr_m72_chab.dat"
#SPECBIN: 0=full 1=linear binning 2=log binning
0
#NWL_OPT wlmin wlmax
#1221 100.0 1.0E05
#filters
#NBANDS (optical filters)
84
#filenames of response functions
#rest frame, then observed frame
"CANDELS/TOPHAT/UV1500top.dat"
"CANDELS/TOPHAT/UV2300top.dat"
"CANDELS/TOPHAT/UV2800top.dat"
"CANDELS/Johnson/Johnson_U.dat"
"CANDELS/Johnson/Johnson_B.dat"
"CANDELS/Johnson/Johnson_V.dat"
"CANDELS/Johnson/Cousins_R.dat"
"CANDELS/Johnson/Cousins_I.dat"
"CANDELS/Johnson/Bessell_J.dat"
"CANDELS/Johnson/Bessell_H.dat"
"CANDELS/Johnson/Bessell_K.dat"
"CANDELS/GALEX/galex_FUV.dat"
"CANDELS/GALEX/galex_NUV.dat"
"CANDELS/SDSS/sdss_u.dat"
"CANDELS/SDSS/sdss_g.dat"
"CANDELS/SDSS/sdss_r.dat"
"CANDELS/SDSS/sdss_i.dat"
"CANDELS/SDSS/sdss_z.dat"
"CANDELS/ACS/f435w.WFC1.dat"
"CANDELS/ACS/f606w.WFC1.dat"
"CANDELS/ACS/f775w.WFC1.dat"
"CANDELS/ACS/f814w.WFC1.dat"
"CANDELS/ACS/f850lp.WFC1.dat"
"CANDELS/WFC3/f275w.UVIS1.dat"
"CANDELS/WFC3/f336w.UVIS1.dat"
"CANDELS/WFC3/f105w.IR.dat"
"CANDELS/WFC3/f125w.IR.dat"
"CANDELS/WFC3/f160w.IR.dat"
"CANDELS/CTIO/U_ctio_mosaic_tot.dat"
"CANDELS/CFHTLS/uMega.fil"
"CANDELS/MUSYC/ecdfs.U38.filt.dat"
"CANDELS/UKIRT/J_filter.dat"
"CANDELS/UKIRT/H_filter.dat"
"CANDELS/UKIRT/K_filter.dat"
"CANDELS/IRAC/irac_ch1.dat"
"CANDELS/IRAC/irac_ch2.dat"
"JWST/NIRCam_broad/F070W.dat"
"JWST/NIRCam_broad/F090W.dat"
"JWST/NIRCam_broad/F115W.dat"
"JWST/NIRCam_broad/F150W.dat"
"JWST/NIRCam_broad/F200W.dat"
"JWST/NIRCam_broad/F277W.dat"
"JWST/NIRCam_broad/F356W.dat"
"JWST/NIRCam_broad/F444W.dat"
"JWST/NIRCam_medium/F140M.dat"
"JWST/NIRCam_medium/F162M.dat"
"JWST/NIRCam_medium/F182M.dat"
"JWST/NIRCam_medium/F210M.dat"
"JWST/NIRCam_medium/F250M.dat"
"JWST/NIRCam_medium/F335M.dat"
"JWST/NIRCam_medium/F360M.dat"
"JWST/NIRCam_medium/F410M.dat"
"JWST/NIRCam_medium/F430M.dat"
"JWST/NIRCam_medium/F460M.dat"
"JWST/NIRCam_medium/F480M.dat"
"Euclid/VIS.dat"
"Euclid/Y.dat"
"Euclid/J.dat"
"Euclid/H.dat"
"RST/F062.dat"
"RST/F087.dat"
"RST/F106.dat"
"RST/F129.dat"
"RST/F146.dat"
"RST/F158.dat"
"RST/F184.dat"
"LSST/u.dat"
"LSST/g.dat"
"LSST/r.dat"
"LSST/i.dat"
"LSST/z.dat"
"LSST/y.dat"
"SHELA/DECam_u.dat"
"SHELA/DECam_g.dat"
"SHELA/DECam_r.dat"
"SHELA/DECam_i.dat"
"SHELA/DECam_z.dat"
"SHELA/DECam_y.dat"
"SHELA/NEWFIRM_K_atm.dat"
"SHELA/VISTA_z.dat"
"SHELA/VISTA_Y.dat"
"SHELA/VISTA_J.dat"
"SHELA/VISTA_H.dat"
"SHELA/VISTA_Ks.dat"
#names for filters
"UV1500"
"UV2300"
"UV2800"
"U"
"B"
"V"
"R"
"I"
"J"
"H"
"K"
"galex_FUV"
"galex_NUV"
"sdss_u"
"sdss_g"
"sdss_r"
"sdss_i"
"sdss_z"
"acsf435w"
"acsf606w"
"acsf775w"
"acsf814w"
"acsf850lp"
"wfc3f275w"
"wfc3f336w"
"wfc3f105w"
"wfc3f125w"
"wfc3f160w"
"ctio_U"
"CFHTLS_u"
"musyc_u38"
"UKIRT_J"
"UKIRT_H"
"UKIRT_K"
"irac_ch1"
"irac_ch2"
"NIRCam_F070W"
"NIRCam_F090W"
"NIRCam_F115W"
"NIRCam_F150W"
"NIRCam_F200W"
"NIRCam_F277W"
"NIRCam_F356W"
"NIRCam_F444W"
"NIRCam_F140M"
"NIRCam_F162M"
"NIRCam_F182M"
"NIRCam_F210M"
"NIRCam_F250M"
"NIRCam_F335M"
"NIRCam_F360M"
"NIRCam_F410M"
"NIRCam_F430M"
"NIRCam_F460M"
"NIRCam_F480M"
"Euclid_VIS"
"Euclid_Y"
"Euclid_J"
"Euclid_H"
"Roman_F062"
"Roman_F087"
"Roman_F106"
"Roman_F129"
"Roman_F146"
"Roman_F158"
"Roman_F184"
"LSST_u"
"LSST_g"
"LSST_r"
"LSST_i"
"LSST_z"
"LSST_y"
"DECam_u"
"DECam_g"
"DECam_r"
"DECam_i"
"DECam_z"
"DECam_Y"
"NEWFIRM_K_atm"
"VISTA_z"
"VISTA_Y"
"VISTA_J"
"VISTA_H"
"VISTA_Ks"
#frame: 0=rest, 1=obs
0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
#system: 0=VEGA, 1=AB
1
#NFIRBANDS (FIR filters)
33
#filenames of IR response functions
"CANDELS/IRAC/irac_ch1.dat"
"CANDELS/IRAC/irac_ch2.dat"
"CANDELS/IRAC/irac_ch3.dat"
"CANDELS/IRAC/irac_ch4.dat"
"CANDELS/MIPS/mips_24.dat"
"CANDELS/PACS/pacs70.dat"
"CANDELS/PACS/pacs100.dat"
"CANDELS/PACS/pacs160.dat"
"CANDELS/SPIRE/spire250.dat"
"CANDELS/SPIRE/spire350.dat"
"CANDELS/SPIRE/spire500.dat"
"CANDELS/SCUBA2/SCUBA2_850.dat"
"CANDELS/IRAC/irac_ch1.dat"
"CANDELS/IRAC/irac_ch2.dat"
"CANDELS/IRAC/irac_ch3.dat"
"CANDELS/IRAC/irac_ch4.dat"
"CANDELS/MIPS/mips_24.dat"
"CANDELS/PACS/pacs70.dat"
"CANDELS/PACS/pacs100.dat"
"CANDELS/PACS/pacs160.dat"
"CANDELS/SPIRE/spire250.dat"
"CANDELS/SPIRE/spire350.dat"
"CANDELS/SPIRE/spire500.dat"
"CANDELS/SCUBA2/SCUBA2_850.dat"
"JWST/MIRI/F560W.dat"
"JWST/MIRI/F770W.dat"
"JWST/MIRI/F1000W.dat"
"JWST/MIRI/F1130W.dat"
"JWST/MIRI/F1280W.dat"
"JWST/MIRI/F1500W.dat"
"JWST/MIRI/F1800W.dat"
"JWST/MIRI/F2100W.dat"
"JWST/MIRI/F2550W.dat"
#names for filters
"irac_ch1"
"irac_ch2"
"irac_ch3"
"irac_ch4"
"mips24"
"pacs70"
"pacs100"
"pacs160"
"spire250"
"spire350"
"spire500"
"scuba850"
"irac_ch1"
"irac_ch2"
"irac_ch3"
"irac_ch4"
"mips24"
"pacs70"
"pacs100"
"pacs160"
"spire250"
"spire350"
"spire500"
"scuba850"
"MIRI_F560W"
"MIRI_F770W"
"MIRI_F1000W"
"MIRI_F1130W"
"MIRI_F1280W"
"MIRI_F1500W"
"MIRI_F1800W"
"MIRI_F2100W"
"MIRI_F2550W"
#frame: 0=rest, 1=obs
0 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
#include_IGM
1
#output
#type of catalog: 0=single halo 1=grid 2=survey 3=nbodytree 4=halolist 5=LC
5
#angular size of survey in arcmin^2, number of realizations
#160.0 10
#filename
"/local/data/seliana1/layung/Darkcones/candels/survey_COSMOS_z0.00-10.00_x17.00_y41.00_5.dat"
#Field indicator- this is required to do the RAs and Decs properly
#0=COSMOS  1=EGS  2=GOODS-N  3=GOODS-S  4=UDS  5=DEEP  6=WIDE
0
#number of halos in grid, number of realizations of each halo mass
200000000 1
#mass resolution
1.0E10
#halo grid: 0=vc 1=mass; min max
#1 1.0E11 1.0E14
#number of output redshifts
#redshift grid type (0=user specified, 1=linear grid, 2=log grid)
#1 0
#output redshifts (zmin and zmax for grid modes)
#0.0
#MSTARMIN (minimum stellar mass to build sed, in solar masses)
1.0E07
#quantities to output:
#galphot galprop galspec emline halos FIR history trace mergers halomergers 
#print_binary
1 1 1 1 1 1 1 0 0 0 0 0 0 0
#GAL_SELECT 0=magnitude 1=mcold 2=mhalo 3=mstar
0
#1.0E10
#magnitude limits for printing galaxies (need NBANDS values)
#n.b. magnitude limit is applied to DUST CORRECTED magnitudes
#with internal value of the hubble parameter
99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 42 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99 99
#filter bands in which to apply magnitude limit (1 means apply, 0 ignore)
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0

